// Setup.cpp : implementation file
//

#include "stdafx.h"
#include "TrackDemo.h"
#include "Setup.h"


// CSetup dialog

IMPLEMENT_DYNAMIC(CSetup, CDialog)

CSetup::CSetup(CWnd* pParent /*=NULL*/)
  : CDialog(CSetup::IDD, pParent)
  , m_addr(_T(""))
  , m_port(0)
  , m_key(_T(""))
  , m_nodeid(0)
{
}

CSetup::~CSetup()
{
}

void CSetup::DoDataExchange(CDataExchange* pDX)
{
  CDialog::DoDataExchange(pDX);
  DDX_Text(pDX, IDC_ADDR, m_addr);
  DDX_Text(pDX, IDC_PORT, m_port);
  DDX_Text(pDX, IDC_KEYWORD, m_key);
  DDX_Text(pDX, IDC_NODEID, m_nodeid);
}


BEGIN_MESSAGE_MAP(CSetup, CDialog)
END_MESSAGE_MAP()


// CSetup message handlers

BOOL CSetup::OnInitDialog()
{
  CDialog::OnInitDialog();
  ((CSpinButtonCtrl*)GetDlgItem(IDC_SPIN))->SetRange32(1, 65535);
  ((CEdit*)GetDlgItem(IDC_PORT))->LimitText(5);
  ((CEdit*)GetDlgItem(IDC_KEYWORD))->LimitText(8);
  ((CEdit*)GetDlgItem(IDC_NODEID))->LimitText(9);
  return TRUE;
}
